html,
body {
  height: 100%;
  padding: 0;
  margin: 0;
}
.page {
  position: relative;
  display: table;
  table-layout: fixed;
  width: 100%;
  height: 100%;
  line-height: normal;
  text-align: center;
  font-family: Open Sans, sans-serif;
  font-size: 1.1em;
  color: #fff;
  background-color: #d9ffff;
  background-size: cover;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  background-attachment: fixed;
}
h1,
h2,
h3,
h4,
h5 {
  line-height: 1.3;
  font-weight: normal;
}
.bg-position-top {
  background-position: 50% 0;
}
.bg-position-middle {
  background-position: 50% 50%;
}
.bg-position-bottom {
  background-position: 50% 100%;
}
.page:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  filter: alpha(opacity=40);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=40)";
  opacity: 0.4;
}
img {
  max-width: 100%;
  width: auto\9;
  height: auto;
}
a,
a:link {
  color: inherit;
  filter: alpha(opacity=85);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=85)";
  opacity: 0.85;
}
a:hover,
a:focus,
a:active {
  filter: alpha(opacity=100);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
  opacity: 1;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
ul,
ol {
  display: inline-block;
  text-align: left;
  max-width: 50%;
}
.container {
  position: relative;
  display: table-cell;
  width: 100%;
  vertical-align: middle;
  padding: 1em 2em;
  z-index: 1;
}
.content {
  max-width: 900px;
  margin: 0 auto;
}
.social-links:empty {
  outline: 1px solid yellow;
}
.social-links {
  padding: 1em 0;
  vertical-align: middle;
}
.social-links a {
  padding: 0 0.3em;
  line-height: normal;
}
.hosting-info {
  position: absolute;
  display: block;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 1em;
  font-size: 0.8em;
}
.hosting-info p {
  margin: 0;
  padding: 0;
  font-size: 12px;
}
.overlay-dark {
  background-color: #333;
}
.overlay-dark:before {
  background-color: #333;
}
.overlay-bright {
  background-color: white;
}
.overlay-bright:before {
  background-color: white;
  filter: alpha(opacity=70);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=70)";
  opacity: 0.7;
}
@media screen {
  .page[class] {
    background-color: #c1fffa;
  }
}
body.debug:after {
  content: "default";
  position: fixed;
  left: 0;
  bottom: 0;
  background-color: white;
  color: black;
  padding: 0.5em;
  font-size: 10px;
  text-transform: uppercase;
}
@media screen and (max-width: 640px) {
  body.debug:after {
    content: "small";
  }
  h1 {
    font-size: 2em;
  }
  ul,
  ol {
    max-width: none;
  }
  .page {
    min-width: 300px;
  }
  .page .container {
    padding: 3em;
  }
  .page,
  .page[class] {
    background-color: #d9ffff;
  }
}
@media screen and (min-width: 641px) and (max-width: 1199px),
  (min-height: 500px) and (max-height: 1199px) {
  body.debug:after {
    content: "medium";
  }
  .page,
  .page[class] {
    background-color: #d9ffff;
  }
}
@media screen and (min-width: 1200px) {
  body.debug:after {
    content: "large";
  }
  .page,
  .page[class] {
    background-color: #d9ffff;
  }
}
.page .fallback-bg {
  display: none;
}
.ie8 .page .fallback-bg {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  max-width: inherit;
  z-index: 0;
}

.menu-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 17%;
  min-width: 160px; /* Largeur du menu, vous pouvez l'ajuster selon vos besoins */
  height: 100%;
  background-color: #333; /* Couleur du fond du menu */
  color: #fff; /* Couleur du texte dans le menu */
}

.menu {
  list-style-type: none;
  padding: 20px;
}

.element-menu {
  margin: 20px;
  cursor: pointer; /* Ajout de la propriété pour le curseur en pointeur */
  transition: background-color 0.3s ease;
}

.menu .element-menu a {
  color: #fff; /* Couleur du texte dans les liens */
  text-decoration: none;
  display: block;
}

.menu .element-menu a:hover {
  background-color: #555; /* Couleur de fond au survol des liens */
}

.table-container {
  margin: 20px auto;
  max-width: 600px;
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  overflow: hidden;
}

table {
  width: 100%;
  border-collapse: collapse;
}

thead {
  background-color: #555;
}

th,
td {
  padding: 12px 15px;
  text-align: left;
  border-bottom: 1px solid #ddd;
}

tbody tr:nth-child(odd) {
  background-color: #ebeaea;
}

th {
  color: white;
  text-transform: uppercase;
}

td {
  color: black;
}

tbody tr:last-child {
  border-bottom: none;
}

.ajout-element {
  text-align: left;
  margin-top: 50px;
}

.popup {
  color: black;
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
}

.overlay {
  position: absolute;
  z-index: -1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.content-popup {
  box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.5);
  border-radius: 20px;
  background-color: white;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  max-width: 600px;
  text-align: center;
}

.element-popup {
  margin-bottom: 15px;
}

.btn-modifier {
  background-color: #4caf50;
  color: white;
  cursor: pointer;
}

.btn-delete {
  background-color: #f44336;
  color: white;
  cursor: pointer;
}

.btn-ajouter-aliment {
  margin: 20px;
  border-radius: 20px;
  background-color: rgb(53, 168, 250);
  color: black;
  padding: 10px;
  cursor: pointer;
}

@media screen and (max-width: 768px) {
}
